## VOICE Originate USSD No Wait indication VOICE Originate USSD No Wait indication |

## Functions

QmiIndicationVoiceOriginateUssdNoWaitOutput * | qmi_indication_voice_originate_ussd_no_wait_output_ref ()
void | qmi_indication_voice_originate_ussd_no_wait_output_unref ()
gboolean | qmi_indication_voice_originate_ussd_no_wait_output_get_uss_data_utf16 ()
gboolean | qmi_indication_voice_originate_ussd_no_wait_output_get_alpha_identifier ()
gboolean | qmi_indication_voice_originate_ussd_no_wait_output_get_uss_data ()
gboolean | qmi_indication_voice_originate_ussd_no_wait_output_get_failure_cause ()
gboolean | qmi_indication_voice_originate_ussd_no_wait_output_get_error_code ()

## Types and Values

| QmiIndicationVoiceOriginateUssdNoWaitOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationVoiceOriginateUssdNoWaitOutput

## Description

## Functions

### qmi_indication_voice_originate_ussd_no_wait_output_ref ()

    QmiIndicationVoiceOriginateUssdNoWaitOutput *
    qmi_indication_voice_originate_ussd_no_wait_output_ref
                                   (QmiIndicationVoiceOriginateUssdNoWaitOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationVoiceOriginateUssdNoWaitOutput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_indication_voice_originate_ussd_no_wait_output_unref ()

    void
    qmi_indication_voice_originate_ussd_no_wait_output_unref
                                   (QmiIndicationVoiceOriginateUssdNoWaitOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationVoiceOriginateUssdNoWaitOutput. |

Since: 1.26

### qmi_indication_voice_originate_ussd_no_wait_output_get_uss_data_utf16 ()

    gboolean
    qmi_indication_voice_originate_ussd_no_wait_output_get_uss_data_utf16
                                   (QmiIndicationVoiceOriginateUssdNoWaitOutput *self,
                                    GArray **value_uss_data_utf16,
                                    GError **error);

Get the 'USS Data UTF16' field from `self` .

#### Parameters

self | a QmiIndicationVoiceOriginateUssdNoWaitOutput. |
value_uss_data_utf16 | a placeholder for the output GArray of guint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint16][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_indication_voice_originate_ussd_no_wait_output_get_alpha_identifier ()

    gboolean
    qmi_indication_voice_originate_ussd_no_wait_output_get_alpha_identifier
                                   (QmiIndicationVoiceOriginateUssdNoWaitOutput *self,
                                    QmiVoiceAlphaDataCodingScheme *value_alpha_identifier_data_coding_scheme,
                                    GArray **value_alpha_identifier_alpha,
                                    GError **error);

Get the 'Alpha Identifier' field from `self` .

#### Parameters

self | a QmiIndicationVoiceOriginateUssdNoWaitOutput. |
value_alpha_identifier_data_coding_scheme | a placeholder for the output QmiVoiceAlphaDataCodingScheme, or `NULL` if not required. | [out][optional]
value_alpha_identifier_alpha | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_indication_voice_originate_ussd_no_wait_output_get_uss_data ()

    gboolean
    qmi_indication_voice_originate_ussd_no_wait_output_get_uss_data
                                   (QmiIndicationVoiceOriginateUssdNoWaitOutput *self,
                                    QmiVoiceUssDataCodingScheme *value_uss_data_data_coding_scheme,
                                    GArray **value_uss_data_data,
                                    GError **error);

Get the 'USS Data' field from `self` .

#### Parameters

self | a QmiIndicationVoiceOriginateUssdNoWaitOutput. |
value_uss_data_data_coding_scheme | a placeholder for the output QmiVoiceUssDataCodingScheme, or `NULL` if not required. | [out][optional]
value_uss_data_data | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_indication_voice_originate_ussd_no_wait_output_get_failure_cause ()

    gboolean
    qmi_indication_voice_originate_ussd_no_wait_output_get_failure_cause
                                   (QmiIndicationVoiceOriginateUssdNoWaitOutput *self,
                                    QmiVoiceCallEndReason *value_failure_cause,
                                    GError **error);

Get the 'Failure Cause' field from `self` .

#### Parameters

self | a QmiIndicationVoiceOriginateUssdNoWaitOutput. |
value_failure_cause | a placeholder for the output QmiVoiceCallEndReason, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_indication_voice_originate_ussd_no_wait_output_get_error_code ()

    gboolean
    qmi_indication_voice_originate_ussd_no_wait_output_get_error_code
                                   (QmiIndicationVoiceOriginateUssdNoWaitOutput *self,
                                    guint16 *value_error_code,
                                    GError **error);

Get the 'Error Code' field from `self` .

#### Parameters

self | a QmiIndicationVoiceOriginateUssdNoWaitOutput. |
value_error_code | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

## Types and Values

### QmiIndicationVoiceOriginateUssdNoWaitOutput

    typedef struct _QmiIndicationVoiceOriginateUssdNoWaitOutput QmiIndicationVoiceOriginateUssdNoWaitOutput;

The QmiIndicationVoiceOriginateUssdNoWaitOutput structure contains private data and should only be accessed using the provided API.

Since: 1.26